require "utils";

renoise.tool():add_menu_entry {
    name = "Sample Editor:Export to Octatrack...",
    invoke = function() 
        export() 
    end
}

function export()
    local sample = renoise.song().selected_sample;
    local ot = make_ot_table(sample);
    local filename = renoise.app():prompt_for_filename_to_write("wav", "Save sample...");
    -- print(filename);
    write_ot_file(filename, ot);
    sample.sample_buffer:save_as(filename, "wav");
    -- rprint(ot);
end

